<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>
<style type="text/css">
	#cont { height: 635px; overflow-y: scroll }
	textarea {overflow-x: hidden; overflow-y: scroll}
</style>
<form class="form-common" action="<?= $this->baseUrl() ?>/reviews/add" method="post" id="add-review-form">
    <input type="hidden" id="added" name="added" value="1">
	<div id="cont">
		<div id="general">
            <fieldset class="fleft" style="margin-right:5px;">
                <legend>Location</legend>

                <div class="inner">
                    <?php
                    $country_model = new Model_Geography_Countries();
                    $countries = $country_model->ajaxGetAll(false);
                    ?>
                    <label for="country">Country</label>
                    <select name="country" class="w19" id="country">
                        <option>- - -</option>
                        <?php foreach($countries as $country): ?>
                            <option value="<?= $country->id ?>"><?= $country->title ?></option>
                        <?php endforeach;?>
                    </select>
                </div>

                <div class="clear"></div>

                <div class="clear"></div>

                <div class="inner">
                    <label for="city">City</label>
                    <select name="city" class="w19 selectbox" id="city" disabled="disabled">
                        <option>- - -</option>
                    </select>
                </div>
            </fieldset>

            <fieldset class="m5-5-0-0" style="margin-right:5px;">
                <legend>Info</legend>

                <div class="inner">
                    <label for="escort_id">Escort</label>
                    <input class="txt w10" type="text" id="escort_id" name="escort_id" value=""/>
                </div>
                <div class="clear"></div>
                <div class="inner">
                    <label for="member_id">Member</label>
                    <input class="txt w10" type="text" id="member_id" name="member_id" value=""/>
                </div>
                <div class="clear"></div>

            </fieldset>

            <fieldset class="inner mb10 w588">
                <legend>Date</legend>
                <div class="inner">
                    <label>
                        <span>Date:</span>
                    </label>
                <div class="inner">
                    <label>
                        <span>Meeting date</span>
                    </label>
                    <input id="date" type="date" class="txt w20 f-date-from" name="meeting_date" value="" />
                </div>

                <? if (in_array(Cubix_Application::getId(), array(APP_ED))): ?>
                    <div class="inner mr40">
                        <label>
                            <span>Creation date</span>
                        </label>
                        <input id="creation-date" type="date" class="txt w20 f-date-from" name="creation_date" value="" />
                    </div>
                    <div class="clear"></div>
                <? endif; ?>
            </fieldset>

		<div id="meeting_rating">
			<fieldset class="fleft m5-5-0-0 w588">

                <legend for="review">Meeting And Rating</legend>
				<div class="inner mr40">
					<label for="place">Meeting Place</label>
					<select name="place" class="w16" id="place">
						<? foreach ( $DEFINITIONS['meeting_place_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->meeting_place == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner mr40">
					<label for="duration">Duration</label>
					<input class="txt w5" type="text" id="duration" name="duration" value="<?= $this->data->duration ?>" />
					<select name="duration_unit">
						<? foreach ( $DEFINITIONS['time_unit_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->duration_unit == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="price">Costs</label>
					<input class="txt w5" type="text" id="price" name="price" value="<?= $this->data->price ?>" />
					
						<? if (in_array(Cubix_Application::getId(), array(APP_AE, APP_ED, APP_6B))):?>
							<select name="currency">
								<? foreach($this->currencies as $currency):?>
								<option value="<?= $currency->id ?>"  <?= $this->data->currency == $currency->id ? 'selected="selected"' : ''?> ><?= $currency->title ?></option>
								<? endforeach; ?>
							</select>
						<? else: ?>
							<select name="currency" disabled="disabled">
								<option value="2">EUR</option>
							</select>
						<? endif;?>
					
				</div>

				<div class="inner mr40">
					<label for="looks_rating">Looks</label>
					<select name="looks_rating" class="w5" id="looks_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->looks_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="inner">
					<label for="services_rating">Services</label>
					<select name="services_rating" class="w5" id="services_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->services_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="popup-ver-hr"></div>

				<div class="inner">
					<label for="sms_status">SMS Status</label>
					<select name="sms_status" class="w12" id="sms_status">
						<? foreach ( $DEFINITIONS['sms_status_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->sms_status == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="services">
			<fieldset class="fleft m5-5-0-0 w588">

                <legend for="review">Services</legend>
				<div class="inner review">
					<label for="kissing" class="review-services">Kissing</label>
					<select name="kissing" class="w16" id="kissing" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['kissing_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_kissing == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="blowjob" class="review-services">Blowjob</label>
					<select name="blowjob" class="w16" id="blowjob" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['blowjob_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_blowjob == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="cumshot" class="review-services">Cumshot</label>
					<select name="cumshot" class="w16" id="cumshot" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['cumshot_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_cumshot == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="69" class="review-services">69</label>
					<select name="s_69" class="w16" id="69" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_69 == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="anal" class="review-services">Anal</label>
					<select name="anal" class="w16" id="anal" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_anal == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="sex" class="review-services">Sex</label>
					<select name="sex" class="w16" id="sex" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['sex_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="attitude" class="review-services">Attitude</label>
					<select name="attitude" class="w16" id="attitude" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['attitude_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_attitude == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="conversation" class="review-services">Conversation</label>
					<select name="conversation" class="w16" id="conversation" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['conversation_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_conversation == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="breast" class="review-services">Breast</label>
					<select name="breast" class="w16" id="breast" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['breast_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_breast == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="multiple_times_sex" class="review-services">Multiple times sex</label>
					<select name="multiple_times_sex" class="w16" id="multiple_times_sex" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['mts_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_multiple_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="availability" class="review-services">Availability</label>
					<select name="availability" class="w16" id="availability" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['availability_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_availability == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="photos" class="review-services">Photos</label>
					<select name="photos" class="w16" id="photos" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['photos_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_photos == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
                <?php if(Cubix_Application::getId() == APP_ED):?>
                        <div class="inner review">
                            <label for="quality" class="review-services">Quality/price</label>
                            <select name="quality" class="w16" id="quality" style="float: left">
                                    <option value=""> - </option>
                                    <? foreach (array('1'=>'Very good','2'=>'Good','3'=>'Ok','4'=>'Bad') as $key=> $price_status): ?>
                                        <option value="<?= $key ?>" <?= ($this->data->quality == $key) ? 'selected="selected"' : '' ?>><?= $price_status ?>&nbsp;&nbsp;</option>
                                    <? endforeach; ?>
                            </select>
                        </div>
                <?php endif;?>
				
				<div class="inner review">
					<label for="comments">Services Comments</label>
					<textarea class="txt w574 h4" name="services_comments" id="comments"><?= $this->data->services_comments ?></textarea>
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="review">
			<fieldset class="fleft m5-5-0-0 w588">
				<legend for="review">Review</legend>
				<? if ($this->data->old_review): ?>
					<? $m = new Cubix_SimpleDiff(); ?>
					<fieldset>
						<div class="inner review">
							<div><?= $m->htmlDiff($this->data->old_review, $this->data->review); ?></div>
						</div>
					</fieldset>

					<fieldset class="mt10">
						<div class="inner review">
							<textarea class="txt w552 h15" name="review" id="review"><?= $this->data->review ?></textarea>
						</div>
					</fieldset>
				<? else: ?>
					<div class="inner review">
						<textarea class="txt w574 h15" name="review" id="review"><?= $this->data->review ?></textarea>
					</div>
				<? endif; ?>
				
				<div class="clear"></div>
			</fieldset>
		</div>
        <?php if(Cubix_Application::getId() == APP_ED):?>
                    <div id="review">
                        <fieldset class="fleft m5-5-0-0 w588">
                            <legend for="review">Location Review</legend>
                                <div class="inner review">
                                    <textarea class="txt w574 h15" name="location_review" id="location_review"><?= $this->data->location_review ?></textarea>
                                </div>
                            <div class="clear"></div>
                        </fieldset>
                    </div>
        <?php endif;?>

		<div id="escort_comment">
			<fieldset class="fleft m5-5-0-0 w588">
                <legend for="escort_comment">Escort Comment</legend>
				
				<div class="inner review">
					<textarea class="txt w574 h15" name="escort_comment" id="escort_comment"><?= $this->data->escort_comment ?></textarea>
				</div>
			</fieldset>
		</div>

		<div class="clear"></div>
	</div>
</form>

